{ pkgs
, lib
, inputs
, config
, ...
}: {
  programs = {
    zsh = {
      enable = true;

      prezto = {
        enable = true;
        editor = {
          keymap = "vi";
          dotExpansion = true;
        };
        prompt = {
          theme = "paradox";
          pwdLength = "long";
          showReturnVal = true;
        };
        terminal.autoTitle = true;

        pmodules = [
          "environment"
          "terminal"
          "editor"
          "history"
          "directory"
          "spectrum"
          "utility"
          "ssh"
          "completion"
          "git"
          "autosuggestions"
          "syntax-highlighting"
          "history-substring-search"
          "prompt"
        ];
      };

      shellAliases = {
        l = "exa -l";
        tree = "exa --tree --icons";
        rebuild = "darwin-rebuild switch --flake /Users/felixalb/nix";
        gst = "git status -sb";
        gcm = "git commit -m";
        gps = "git push";
        gpl = "git pull";
      };
    };
  };
}